<%@ Page Language="C#" AutoEventWireup="true" CodeFile="FieldSelection.aspx.cs" Inherits="CMSFormControls_Selectors_FieldSelection"
    Title="Field selection" ValidateRequest="false" Theme="default" MasterPageFile="~/CMSMasterPages/UI/Dialogs/ModalDialogPage.master" %>

<%@ Register Src="~/CMSFormControls/SelectClassNames.ascx" TagPrefix="cms" TagName="SelectClassNames" %>
<asp:Content ID="cntBody" ContentPlaceHolderID="plcContent" runat="server">

    <script src='<%= ResolveUrl("~/CMSScripts/cms.js") %>' type="text/javascript"></script>

    <script type="text/javascript">
        //<![CDATA[
        WebForm_CallbackComplete = WebForm_CallbackComplete_SyncFixed;
        //]]>
    </script>

    <cms:CMSUpdatePanel ID="pnlUpdate" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <asp:Panel ID="pnlContent" CssClass="PageContent" runat="server">

                <script type="text/javascript">
                    //<![CDATA[   
                    function Close() {
                        window.close();
                    }

                    function SelectFields(drpId) {
                        var drpElem = document.getElementById(drpId);
                        var value = drpElem.options[drpElem.selectedIndex].value;
                        var text = drpElem.options[drpElem.selectedIndex].text;
                        if ((wopener != null) && (wopener.SetValue != null)) {
                            wopener.SetValue(value, text);
                        }
                        Close();
                    }
                    //]]>
                </script>

                <table>
                    <tr>
                        <td>
                            <cms:LocalizedLabel ID="lblClassNames" runat="server" CssClass="ContentLabel" ResourceString="objecttype.cms_documenttype"
                                DisplayColon="true" />
                        </td>
                        <td>
                            <cms:SelectClassNames ID="selectionElem" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <cms:LocalizedLabel ID="lblField" runat="server" CssClass="ContentLabel" ResourceString="attach.field"
                                DisplayColon="true" />
                        </td>
                        <td>
                            <asp:DropDownList ID="drpField" runat="server" CssClass="DropDownField" AutoPostBack="false" />
                        </td>
                    </tr>
                </table>
                <asp:Literal ID="ltlScript" runat="server" />
            </asp:Panel>
        </ContentTemplate>
    </cms:CMSUpdatePanel>
</asp:Content>
<asp:Content ID="plcFooter" ContentPlaceHolderID="plcFooter" runat="server">
    <cms:CMSUpdatePanel ID="pnlUpdateButtons" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="FloatRight">
                <cms:LocalizedButton ID="btnOk" runat="server" CssClass="SubmitButton" ResourceString="general.ok" /><cms:LocalizedButton
                    ID="btnCancel" runat="server" CssClass="SubmitButton" ResourceString="general.cancel" />
            </div>
        </ContentTemplate>
    </cms:CMSUpdatePanel>
</asp:Content>
